Name:           maven-help-plugin
Version:        2.1.1
Release:        %mkrel 6
Summary:        Plugin to to get relative information about a project or the system

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-help-plugin/
Source0:        http://repo2.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:         add-compat.patch
Patch1:         reduce-exception.patch
Patch2:         %{name}-migration-to-component-metadata.patch

BuildArch: noarch

BuildRequires: java-devel >= 0:1.6.0
BuildRequires: plexus-utils
BuildRequires: ant
BuildRequires: maven
BuildRequires: maven-install-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-plugin-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-plugin-testing-harness
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: xstream
BuildRequires: jpackage-utils
BuildRequires: plexus-containers-component-metadata
Requires: ant
Requires: maven
Requires: jpackage-utils
Requires: java
Requires: xstream

Obsoletes: maven2-plugin-help < 0:%{version}-%{release}
Provides: maven2-plugin-help = 0:%{version}-%{release}

%description
The Maven Help Plugin is used to get relative information about a project
 or the system. It can be used to get a description of a particular plugin, 
including the plugin's mojos with their parameters and component requirements,
the effective POM and effective settings of the current build, 
and the profiles applied to the current project being built.

%files
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

#--------------------------------------------------------------------

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires: jpackage-utils

%description javadoc
API documentation for %{name}.

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q 
%patch0
#patch1
%patch2 -p1

%build
# no junit-addons, skip test
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/



%changelog

* Sat Sep 08 2012 dmorgan <dmorgan> 2.1.1-6.mga3
+ Revision: 290535
- Migration from plexus-maven-plugin to plexus-containers-component-metadata

* Sun Jan 08 2012 dmorgan <dmorgan> 2.1.1-5.mga2
+ Revision: 193050
- Disable P1: Break build
- Fix build in pure maven 3 environment.
- Fix buildRequires
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 2.1.1-3.mga1
+ Revision: 92702
- Rebuild after bootstrapping
- imported package maven-help-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 02 2010 Yong Yang <yyang@redhat.com> 2.1.1-1
- Initial package.
